.preloader {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 200px;

  &:before {
    content: "";
    display: block;
    width: 72px;
    height: 72px;
    border-radius: 999px;
    border: 2px solid var(--light);
    border-top: 0;
    border-left: 0;
    animation: preloader-animation 0.5s linear infinite running;
  }

  @keyframes preloader-animation {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(320deg);
    }
  }
}